/* Reset */
*, *::before, *::after {
    box-sizing: border-box;
}

*:not(dialog) {
    margin: 0;
}

body {
    line-height: 1.5;
    -webkit-font-smoothing: antialiased;
}

img, picture, video, canvas, svg {
    display: block;
    max-width: 100%;
}

input, button, textarea, select {
    font: inherit;
}

p, h1, h2, h3, h4, h5, h6 {
    overflow-wrap: break-word;
}

p {
    text-wrap: pretty;
}
h1, h2, h3, h4, h5, h6 {
    text-wrap: balance;
}

/* Defaults */
body {
    min-height: 100vh;
    display: grid;
    grid-auto-rows: auto 1fr auto;
}

/* Components */
.page-footer {
    display: grid;

    background-color: darkblue;
    color: white;

    a {
        color: white;
        text-decoration: none;
    }

    .footer-top {
        padding-block-start: 3rem;
        display: grid;
        grid-template-columns: 1fr 1fr;
        justify-items: center;
    }

    .footer-logo {
        font-size: 2rem;
        font-weight: bold;
    }

    .footer-links {
        padding-block-start: 1.5rem;
        display: flex;
        gap: 2rem;

        h2 {
            font-size: 1rem;
        }

        a {
            color: gray;
        }

        ul {
            list-style-type: none;
            padding-inline-start: 0;
        }
    }

    .footer-bottom {
        background-color: blue;
        padding: 1rem;
        margin-block-start: 3rem;
        display: flex;
        justify-content: center;
        gap: 1rem;

        .privacy-links {
            display: flex;
            gap: 0.5rem;
        }
    }
}
